package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 篮球进场订单
 *
 * @author yechanglin
 * @since 2018-08-03
 */
public class MemberEnterVenueLog implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 场馆类型
     */
    private Integer veneuType;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 入场支付订单
     */
    private String orderSn;

    /**
     * 用户会员卡ID
     */
    private Integer memberCardId;

    /**
     * 入场支付方式
     */
    private Integer payType;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 0入场 1出场
     */
    private Integer type;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置场馆类型
     *
     * @param veneuType 场馆类型
     */
    public void setVeneuType(Integer veneuType){
        this.veneuType = veneuType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVeneuType(){
        return veneuType;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置入场支付订单
     *
     * @param orderSn 入场支付订单
     */
    public void setOrderSn(String orderSn){
        this.orderSn = orderSn;
    }

    /**
     * 获取入场支付订单
     *
     * @return 入场支付订单
     */
    public String getOrderSn(){
        return orderSn;
    }


    /**
     * 设置用户会员卡ID
     *
     * @param memberCardId 用户会员卡ID
     */
    public void setMemberCardId(Integer memberCardId){
        this.memberCardId = memberCardId;
    }

    /**
     * 获取用户会员卡ID
     *
     * @return 用户会员卡ID
     */
    public Integer getMemberCardId(){
        return memberCardId;
    }


    /**
     * 设置入场支付方式
     *
     * @param payType 入场支付方式
     */
    public void setPayType(Integer payType){
        this.payType = payType;
    }

    /**
     * 获取入场支付方式
     *
     * @return 入场支付方式
     */
    public Integer getPayType(){
        return payType;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}